/* ============================================================================================================================================= /
 * PROJECT:         Orologio
 * FILE:            Prototipi.h
 * LAST REV:        2.6 DIGITAL
 * AUTHOR:          Ivo Colleoni
 * DEVICE:          PIC12F4550
 * CREATED:         01/12/2013
 * UPDATED:         04/12/2013
 *
 * DESCRIP:         Protoipi
/* ============================================================================================================================================ */

void Draw_basic_layout(void);
void Set_mode(void);
void Update_time(void);
void Update_date(void);
void Update_day_w(void);
void Write_day_w_GLCD(unsigned char _day_w, unsigned char _on_off);
void Set_alarm_mode(void);
void Alarm_check_day(unsigned char _offset);
unsigned char Inc_pbcd(unsigned char _value, unsigned char _min, unsigned char _max);
unsigned char Dec_pbcd(unsigned char _value, unsigned char _min, unsigned char _max);
void Cursor_LCD_on_off(void);
void Update_temp(void);
void Check_light(void);
void Set_treshold (void);